# $Revision: 1.15 $, $Date: 2011/10/29 17:16:21 $
Summary:	Utility to clone and restore partitions
Name:		partclone
Version:	0.2.33
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/partclone/%{name}-%{version}.tar.gz
# Source0-md5:	65591745052f7537fd7f0e3181cdef82
URL:		http://partclone.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	e2fsprogs-devel
BuildRequires:	gettext-devel
BuildRequires:	libuuid-devel
BuildRequires:	ncurses-devel
BuildRequires:	ntfs-3g-devel
BuildRequires:	pkgconfig >= 0.9.0
#BuildRequires:	progsreiserfs-devel
#BuildRequires:	reiser4progs-devel
#BuildRequires:	xfsprogs-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Partclone is a project like the well-known backup utility "Partition
Image" a.k.a partimage.

Partclone provides utilities to back up used blocks and design for
higher compatibility of the file system using supported library like
e2fslibs.

%prep
%setup -q

#sed -e 's|libxfs.h|xfs.h|' -i configure.ac -i src/xfsclone.[ch]
sed -e 's|ncurses.h|ncurses/ncurses.h|' -i configure.ac -i src/{partclone,progress}.c

mv po/fr_FR.gmo po/fr.gmo
mv po/fr_FR.po po/fr.po
sed -i 's/fr_FR/fr/' po/LINGUAS

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export LIBS=-ltinfo
%configure \
	--enable-extfs \
	--enable-hfsp \
	--enable-fat \
	--enable-ntfs \
	--enable-btrfs \
	--enable-ncursesw
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO src/gauge
%attr(755,root,root) %{_sbindir}/%{name}.*
%{_mandir}/man8/%{name}.*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: partclone.spec,v $
Revision 1.15  2011/10/29 17:16:21  areq
- 0.2.33

Revision 1.14  2011/10/15 15:06:41  areq
- 0.2.31

Revision 1.13  2011/08/31 18:33:22  arekm
- release 3

Revision 1.12  2011/07/24 14:54:22  areq
- ntfs-3g hack

Revision 1.11  2011/05/29 10:40:31  areq
- 0.2.24

Revision 1.10  2011/04/30 14:18:42  areq
- 2.2.23

Revision 1.9  2011/04/13 20:24:59  areq
- 0.2.22

Revision 1.8  2011/03/17 18:03:49  areq
- 0.2.20

Revision 1.7  2011/03/10 22:45:10  areq
- 0.2.19

Revision 1.6  2011/02/05 19:27:33  areq
- s/fr_FR/fr/

Revision 1.5  2011/02/05 18:08:27  areq
- 0.2.17

Revision 1.4  2011/01/28 01:55:53  sparky
- BR: gettext-devel

Revision 1.3  2010/09/04 22:41:13  gotar
- fix for new direct-only DSO linking

Revision 1.2  2010/09/04 21:28:27  gotar
- MD5

Revision 1.1  2010/09/04 21:27:13  gotar
- initial PLD release
